Skip to main content

Update an authorization

PATCH 

/nevisidm/api/core/v1/:clientExtId/profiles/:profileExtId/authorizations/:extId

Since: 2.71.0

Required permission(s): AccessControl.AuthorizationModify,AccessControl.AuthorizationView

Updates an existing authorization for the specified profile. Allows modifying the global flags and validity period.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    profileExtId stringrequired

    External ID of the profile.

    Example: profile-123
    extId stringrequired

    External ID of the authorization.

    Example: auth-123

Body

required
    clientGlobal boolean

    Determines whether the authorization is applicable for the whole client.

    unitGlobal boolean

    Determines whether the authorization is restricted to a unit.

    appGlobal boolean

    Determines whether the authorization is restricted to an application.

    enterpriseRoleGlobal boolean

    Determines whether the authorization is restricted to an enterprise role.

    version int32

    Version used for optimistic locking.

    validity object

    Describes the validity period of the authorization.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

Responses

Authorization updated successfully

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the authorization.

    roleExtId string

    The external ID of the connected role.

    clientGlobal boolean

    Determines whether the authorization is applicable for the whole client.

    unitGlobal boolean

    Determines whether the authorization is restricted to a unit.

    appGlobal boolean

    Determines whether the authorization is restricted to an application.

    enterpriseRoleGlobal boolean

    Determines whether the authorization is restricted to an enterprise role.

    validity object

    Describes the validity period of the authorization.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

Loading...